playerc_wsn_t Struct Reference
wsn

Note: the structure describing the WSN node's data packet is declared in Player. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
uint32_t | node_type
| The type of WSN node. More...
uint32_t | node_id
| The ID of the WSN node. More...
uint32_t | node_parent_id
| The ID of the WSN node's parent (if existing). More...
player_wsn_node_data_t | data_packet
| The WSN node's data packet. More...

## Detailed Description

Note: the structure describing the WSN node's data packet is declared in Player.

WSN proxy data.

## Member Data Documentation

player_wsn_node_data_t playerc_wsn_t::data_packet

The WSN node's data packet.

playerc_device_t playerc_wsn_t::info

Device info; must be at the start of all device structures.

uint32_t playerc_wsn_t::node_id

The ID of the WSN node.

uint32_t playerc_wsn_t::node_parent_id

The ID of the WSN node's parent (if existing).

uint32_t playerc_wsn_t::node_type

The type of WSN node.

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45